| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
SbOctTreeFuncs Struct Reference

`#include <Inventor/SbOctTree.h>`

## Public Attributes

SbBool(* | ptinsidefunc )(void *const item, const SbVec3f &pt)
SbBool(* | insideboxfunc )(void *const item, const SbBox3f &box)
SbBool(* | insidespherefunc )(void *const item, const SbSphere &sphere)
SbBool(* | insideplanesfunc )(void *const item, const SbPlane *const planes, const int numplanes)

## Detailed Description

The SbOctTreeFuncs struct is used to specify callback functions for working with items in an SbOctTree.

The only function pointer that must be set up is `insideboxfunc`. The other functions must be set if you intend to use the corresponding find methods in SbOctTree.

## Member Data Documentation

SbOctTreeFuncs::ptinsidefunc

Should return whether a point is inside item.

SbOctTreeFuncs::insideboxfunc

Should return whether item is either fully or partly inside a box.

SbOctTreeFuncs::insidespherefunc

Should return whether item is either fully or partly inside a sphere.

SbOctTreeFuncs::insideplanesfunc

Should return whether item is either fully or partly inside a set of planes.

The documentation for this struct was generated from the following files:

- SbOctTree.h
- SbOctTree.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.